<div class="collection-costs">
  <p class="collection-costs__description">
    Set up the collection costs for this credit offer, in case you want to
    include additional late payment measure.
  </p>
  <form class="container-form" [formGroup]="form" (ngSubmit)="onSubmit()">
    <layout-setting-item
      title="Trigger:"
      description="Select the missed-payment behavior that triggers the accrual collections costs."
    >
      <div class="form">
        <mo-radio
          label="Late installment"
          name="collection_trigger"
          id="collection_trigger_late_installment"
          value="Late installment"
          formControlName="trigger"
        ></mo-radio>
        <mo-radio
          label="Late due date"
          name="collection_trigger"
          id="collection_trigger_late_due_date"
          value="Late due date"
          formControlName="trigger"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Grace period:"
      description="Select if this credit will allow a flexible time period before collection costs trigger activates."
    >
      <div class="form">
        <mo-radio
          label="Yes"
          name="collection_grace_period"
          id="collection_grace_period_yes"
          value="Yes"
          formControlName="grace_period"
        ></mo-radio>
        <mo-radio
          label="No"
          name="collection_grace_period"
          id="collection_grace_period_no"
          value="No"
          formControlName="grace_period"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <div
      class="time-until-container"
      *ngIf="form.get('grace_period').value === 'Yes'"
    >
      <layout-setting-item
        description="Time unit"
        [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
      >
        <div class="form__row">
          <mo-radio
            label="Days"
            name="collection_time_unit"
            id="collection_time_unit_days"
            value="Days"
            formControlName="grace_period_time_unit"
          ></mo-radio>
          <mo-radio
            label="Weeks"
            name="collection_time_unit"
            id="collection_time_unit_weeks"
            value="Weeks"
            formControlName="grace_period_time_unit"
          ></mo-radio>
          <mo-radio
            label="Months"
            name="collection_time_unit"
            id="collection_time_unit_months"
            value="Months"
            formControlName="grace_period_time_unit"
          ></mo-radio>
        </div>
      </layout-setting-item>

      <layout-setting-item
        description="How many"
        [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
      >
        <div class="form">
          <mo-input
            placeholder="#"
            [type]="INPUT_TYPE.NUMBER"
            [required]="false"
            formControlName="grace_period_time_number"
          ></mo-input>
        </div>
      </layout-setting-item>
    </div>

    <layout-setting-item
      title="Fixed or percent:"
      description="Select if this cost will be issued as a fixed amount or as a percentage of the chosen base. "
    >
      <div class="form__row">
        <mo-radio
          label="Fixed"
          name="collection_fixed_or_percent"
          id="collection_fixed_or_percent_fixed"
          value="Fixed"
          formControlName="fixed_or_percent"
        ></mo-radio>
        <span>Or</span>
        <mo-radio
          label="Percent"
          name="collection_fixed_or_percent"
          id="collection_fixed_or_percent_percent"
          value="Percent"
          formControlName="fixed_or_percent"
        ></mo-radio>
        <ng-container *ngIf="!!form.get('fixed_or_percent').value">
          <span *ngIf="form.get('fixed_or_percent').value === 'Fixed'">$</span>
          <mo-input
            placeholder="#"
            [type]="INPUT_TYPE.NUMBER"
            formControlName="fixed_or_percent_value"
            [required]="false"
          ></mo-input>
          <span>
            {{ form.get("fixed_or_percent").value === "Fixed" ? "Cop" : "%" }}
          </span>
        </ng-container>
      </div>
    </layout-setting-item>

    <layout-setting-item
      *ngIf="form.get('fixed_or_percent').value === 'Percent'"
      description="Base definition"
      [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
    >
      <div class="form">
        <mo-radio
          label="Total balance"
          name="collection_base_definition"
          id="collection_base_definition_total_balance"
          value="Total balance"
          formControlName="base_definition"
        ></mo-radio>
        <mo-radio
          label="Capital balance"
          name="collection_base_definition"
          id="collection_base_definition_capital_balance"
          value="Capital balance"
          formControlName="base_definition"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      title="Tax:"
      description="If regulations apply, select to include a tax for this cost. If so, enter the respective tax fee."
    >
      <div class="form">
        <mo-radio
          label="Yes"
          name="collection_tax"
          id="collection_tax_yes"
          value="Yes"
          formControlName="tax"
        ></mo-radio>
        <mo-radio
          label="No"
          name="collection_tax"
          id="collection_tax_no"
          value="No"
          formControlName="tax"
        ></mo-radio>
      </div>
    </layout-setting-item>

    <layout-setting-item
      *ngIf="form.get('tax').value === 'Yes'"
      description="Tax fee"
      [designClass]="SETTINGS_ITEM_DESIGN_CLASS.ALTERNATIVE"
    >
      <div class="form__row">
        <mo-input
          placeholder="#"
          [type]="INPUT_TYPE.NUMBER"
          formControlName="tax_fee"
          [required]="false"
        ></mo-input>
        <span>%</span>
      </div>
    </layout-setting-item>

    <div class="form__buttons">
      <ng-container *ngIf="!collectionCostCharge">
        <mo-button
          (click)="onCancel()"
          text="Cancel"
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_DEFAULT"
          [size]="SIZES.MD"
        >
        </mo-button>
        <mo-button
          text="Add charge"
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
          [isDisabled]="form.invalid"
          [size]="SIZES.MD"
          [type]="BUTTON_TYPE.SUBMIT"
        >
        </mo-button>
      </ng-container>
      <ng-container *ngIf="collectionCostCharge">
        <mo-button
          (click)="onRemoveCharges()"
          text="Remove charge"
          [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY_DARK"
          [size]="SIZES.MD"
        >
        </mo-button>
      </ng-container>
    </div>
  </form>
</div>
